package com.fp.persistence.parmas.soli;

import java.io.Serializable;
import java.math.BigDecimal;

public class CashManagementDTO implements Serializable, Cloneable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	// Codigo de orientacion
	private String codigoServicio;
	// Contrapartida
	private String contrato;
	private String moneda;
	private String valorapagar;
	// Forma de cobro
	private String formaCobro;
	private String tipoCuenta;	
	private String numeroCuenta;
	// referencia, es el tipo autorizacion
	private String referencia;
	private String tipoIDCliente;
	private String numeroIDCliente;
	private String nombreCliente;
	private String baseImponible;
	private String csolicitud;
	public String getCodigoServicio() {
		return codigoServicio;
	}
	public void setCodigoServicio(String codigoServicio) {
		this.codigoServicio = codigoServicio;
	}
	public String getContrato() {
		return contrato;
	}
	public void setContrato(String contrato) {
		this.contrato = contrato;
	}
	public String getMoneda() {
		return moneda;
	}
	public void setMoneda(String moneda) {
		this.moneda = moneda;
	}	
	public String getValorapagar() {
		return valorapagar;
	}
	public void setValorapagar(String valorapagar) {
		this.valorapagar = valorapagar;
	}
	public String getFormaCobro() {
		return formaCobro;
	}
	public void setFormaCobro(String formaCobro) {
		this.formaCobro = formaCobro;
	}
	public String getTipoCuenta() {
		return tipoCuenta;
	}
	public void setTipoCuenta(String tipoCuenta) {
		this.tipoCuenta = tipoCuenta;
	}
	public String getNumeroCuenta() {
		return numeroCuenta;
	}
	public void setNumeroCuenta(String numeroCuenta) {
		this.numeroCuenta = numeroCuenta;
	}
	public String getReferencia() {
		return referencia;
	}
	public void setReferencia(String referencia) {
		this.referencia = referencia;
	}
	public String getTipoIDCliente() {
		return tipoIDCliente;
	}
	public void setTipoIDCliente(String tipoIDCliente) {
		this.tipoIDCliente = tipoIDCliente;
	}
	public String getNumeroIDCliente() {
		return numeroIDCliente;
	}
	public void setNumeroIDCliente(String numeroIDCliente) {
		this.numeroIDCliente = numeroIDCliente;
	}
	public String getNombreCliente() {
		return nombreCliente;
	}
	public void setNombreCliente(String nombreCliente) {
		this.nombreCliente = nombreCliente;
	}
	public String getBaseImponible() {
		return baseImponible;
	}
	public void setBaseImponible(String baseImponible) {
		this.baseImponible = baseImponible;
	}
	public String getCsolicitud() {
		return csolicitud;
	}
	public void setCsolicitud(String csolicitud) {
		this.csolicitud = csolicitud;
	}
	

}
